%define momorel 1

Summary: SAR, MPSTAT and IOSTAT for Linux
Name: sysstat

Version: 5.0.5
Release: %{momorel}m
License: GPL
Group: Applications/System
Source0: ftp://ibiblio.org/pub/Linux/system/status/sysstat-%{version}.tar.gz
Patch: sysstat-4.0.5-config.patch
Patch1: sysstat-5.0.5-overrun.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://perso.wanadoo.fr/sebastien.godard/
NoSource: 0

%description
The sar, mpstat and iostat commands are only front-ends to the kernel proc
filesystem... They cannot display statistics that Linux does not
provide, nor can they be more accurate than Linux is.
The sysstat package has been tested on Linux kernels 2.0.x, 2.2.x and 2.4.x,
but since new statistics are added in sysstat, they are not necessarily
present in old kernels.

It has been designed with National Language Support (NLS) in mind, using
the GNU gettext package (available at http://www.gnu.org).
At the present time, English, French, German, Spanish, Portuguese,
Afrikaans and Norwegian translations are available. You are welcome if you
want to make other languages available ;-)

%prep 
%setup -q
%patch -p1 -b .config
%patch1 -p0 -b .overrun

%build
make

%install
rm -rf %{buildroot}
make DESTDIR="%{buildroot}" install
%__install contrib/isag/isag %{buildroot}%{_bindir}
%__install contrib/sargon/sargon %{buildroot}%{_bindir}
%__install -m 644 contrib/isag/isag.1 %{buildroot}%{_mandir}/man1
%__rm -rf %{buildroot}/usr/doc

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/sa
/var/log/sa
%{_mandir}/man1/*
%{_mandir}/man8/*
%doc CHANGES COPYING CREDITS README TODO sysstat-%{version}.lsm
%doc sysstat crontab
%doc contrib/isag/README-isag contrib/sargon/README-sargon

%changelog
* Sat Jul 10 2004 TAKAHASHI Tamotsu <tamo>
- (5.0.5-1m)
- FEDORA-2004-187 (patch1: sysstat-5.0.5-overrun.patch)
  http://www.securityfocus.com/advisories/6896
  buffer overflow, not exploited so far

* Tue Jun  1 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (5.0.4-1m)
- verup

* Tue Apr 13 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (5.0.3-1m)
- update to 5.0.3
  [SECURITY] fixed temporary file vulnerability

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (5.0.0-2m)
- revised spec for rpm 4.2.

* Sat Dec  6 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (5.0.0-1m)
- update to 5.0.0

* Mon Aug  4 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (4.1.5-1m)
- update to 4.1.5

* Tue Jul  8 2003 Kimitake Shibata <cipher@da2.so-net.ne.jp>
- (4.1.4-1m)
  Update to 4.1.4

* Tue Mar  4 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.2-1m)
- update to 4.1.2

* Wed Jan 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (4.1.1-1m)
- update to 4.1.1

* Thu Aug 15 2002 Junichiro Kita <kita@momonga-linux.org>
- (4.0.6-1m)
- up to 4.0.6

* Tue Jul  2 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (4.0.5-1m)
- up to 4.0.5

* Thu Apr 18 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (4.0.4-2k)
- up to 4.0.4

* Wed Mar 13 2002 Kazuhiko <kazuhiko@kondara.org>
- (4.0.3-4k)
- add %clean and %changelog sections :(
